Subject: bug#64202: [PATCH] Gnus: Add back end for Atom feeds (nnatom)

From: Eric Abrahamsen <[email-masked]>
Date: Sun, 17 Dec 2023 12:27:12 -0800

Eric Abrahamsen <[email-masked]> writes:

> On 12/17/23 10:55 AM, Thomas Fitzsimmons wrote:
>> Hi Daniel,
>>
>> Daniel Semyonov <[email-masked]> writes:
>>
>>>>>>>> Daniel Semyonov writes:
>>>
>>>     > I'll send a patch with a fix as soon as I can.
>>>
>>> I've decided to setup a mirror of the Emacs repo for further
>>> development, so I've pushed the fix there.
>>>
>>> It can be found at: https://git.sr.ht/~dsemy/emacs-nnatom.
>>
>> It works now, thank you.  I tested my blog's Atom feed.  I also reviewed
>> the patch and it looks good to me, other than "checkdoc" reporting that
>> `nnatom--read-part' needs a docstring.  I think Eric should review it
>> too before it goes in.
>
> I will soon! Thanks for setting up the mirror, that makes things easier.

I just took this for a whirl; so far so good! TBH I forget how nnoo.el
works if I don't look at it for a couple of weeks, so I don't
immediately have any comments there.

In general I prefer using structs instead vectors-as-structs, though
mostly that's for ease of update and change, and if the article vectors
aren't being written to disk as such, maybe it doesn't matter that much.
Something to consider, anyway.

I'll keep trying to break it.

Thanks!
Eric